Subject: Installation of RPMs produced by ‘guix pack’is super slow
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Fri, 20 Oct 2023 12:20:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

I made friends at work when I told them we could provide an RPM for any
modern package to install on their old RPM-based distro.  :-)

However, installing those RPMs takes a lot of time.  For example,
installing the RPM for ‘gmsh’ (closure: 596 MiB; thousands of files)
takes ~45mn.

Is there something about the metadata generated by (guix rpm) that could
be improved, or are we hitting some limitation of the RPM format or
implementation?

Thanks,
Ludo’.